<?php
class ModelPaymentFuturaKomerci extends Model {
  	public function getMethod($address, $total) {
		$this->language->load('payment/FuturaKomerci');

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('FuturaKomerci_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

		if ($this->config->get('FuturaKomerci_total') > 0 && $this->config->get('FuturaKomerci_total') > $total) {
			$status = false;
		} elseif (!$this->config->get('FuturaKomerci_geo_zone_id')) {
			$status = true;
		} elseif ($query->num_rows) {
			$status = true;
		} else {
			$status = false;
		}

		if (ftr_geral::isIsset($this->config->get('FuturaKomerci_api_display')) && (!$this->ftrgeralregistry->exibeMuduloLayout($this->config->get('FuturaKomerci_api_display')))){
		$status = false;
		}

		$method_data = array();

		if ($status) {
      		$method_data = array(
				'code'       => 'FuturaKomerci',
				'title'      => ($this->config->get('FuturaKomerci_nome')) ? $this->config->get('FuturaKomerci_nome') : $this->language->get('text_title'),
				'sort_order' => $this->config->get('FuturaKomerci_sort_order')
      		);
    	}

  		if ($this->config->get('FuturaKomerci_modo_teste')){
		    if ($this->customer->getId() == $this->config->get('FuturaKomerci_cliente_teste')){
		        return $method_data;
		    }
		}else{
		    return $method_data;
		}
  	}
}
